Bug 159796 - Complete freeze in gnome (hard reboot required) after launching dhclient.
Complete freeze in gnome (hard reboot required) after launching dhclient.
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-06-07 23:34 EDT by Chris Fairles
Modified: 2015-01-04 17:20 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-06-08 01:18:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
1st crash. (3.88 KB, text/plain)
2005-06-07 23:36 EDT, Chris Fairles
no flags Details
2nd crsah (3.56 KB, text/plain)
2005-06-07 23:36 EDT, Chris Fairles
no flags Details
3rd crash (3.80 KB, text/plain)
2005-06-07 23:37 EDT, Chris Fairles
no flags Details

  None (edit)
Description Chris Fairles 2005-06-07 23:34:30 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
Problems with a complete freeze. This has happened twice in two days for some
Some facts.
02:03.0 Network controller: Broadcom Corporation BCM4306 802.11b/g Wireless LAN
Controller (rev 03)
01:00.0 VGA compatible controller: nVidia Corporation NV36 [GeForce FX Go5700]
(rev a1)

Using ndiswrapper-1.1
Kernel is 2.6.11-1.27_FC3 recompiled with 4KSTACK off. 
nVidia driver NVIDIA-Linux-x86-1.0-7174-pkg1.run

Heres the commands I ran before the hang.
modprobe -r ndiswrapper
modprobe ndiswrapper
iwconfig <some options>
dhclient -r
dhclient wlan0

Click outside the xterm window. Frozen. Had to do a hard reboot. Crash.log shows
the /var/log/messages just prior to the hang.

2nd freeze. Very similar circumstances. See Crash2.log for the moments just
before the hang (had initiated dhclient when bam, frozen).

3rd freeze. SWITCHED TO 'NV' DRIVER in xorg.conf. Same thing. See Crash3.txt

Version-Release number of selected component (if applicable):
custom kernel-2.6.11-1.27_FC3smp with force 4KSTACK off.

How reproducible:

Steps to Reproduce:
1. modprobe ndiswrapper
2. iwconfig <settings>
3. dhclient wlan0

Actual Results:  Comeplte freeze. No response from mouse, keyboard. Alt-ctrl-F* unresponsive. Had to hard reboot.

Expected Results:  Should have assigned IP address from router.

Additional info:
Comment 1 Chris Fairles 2005-06-07 23:36:01 EDT
Created attachment 115203 [details]
1st crash.
Comment 2 Chris Fairles 2005-06-07 23:36:55 EDT
Created attachment 115204 [details]
2nd crsah
Comment 3 Chris Fairles 2005-06-07 23:37:30 EDT
Created attachment 115205 [details]
3rd crash
Comment 4 Dave Jones 2005-06-08 01:18:19 EDT
loading binary code that could be doing *anything* into kernel space
(ndiswrapper) is a situation we have no way at all of debugging.

Note You need to log in before you can comment on or make changes to this bug.